using System;
using System.Collections.ObjectModel;

namespace App1
{
    public class ViewModel
    {
        private static Random r = new Random();
        private static string[] colors = { "#f4ecbc", "#eac671", "#849a9a", "#5f6790", "#151c3e" };

        public ViewModel()
        {
            this.Items = this.GetItems();
        }

        public ObservableCollection<Item> Items { get; set; }

        private ObservableCollection<Item> GetItems()
        {
            var items = new ObservableCollection<Item>();
            for (int i = 0; i < 10; i++)
            {
                items.Add(new Item { Value = 5 + r.NextDouble() * 5, Color = colors[i % colors.Length] });
            }

            return items;
        }
    }
}