using Telerik.Charting;
using Windows.UI.Xaml;
using Windows.UI.Xaml.Controls;
using Windows.UI.Xaml.Shapes;

namespace App1
{
    public class PieStyleSelector : StyleSelector
    {
        private static Style SegmentStyle = new Style(typeof(Path));

        protected override Style SelectStyleCore(object item, DependencyObject container)
        {
            var point = item as PieDataPoint;
            var style = new Style(typeof(Path));
            style.Setters.Add(new Setter { Property = Path.FillProperty, Value = (point.DataItem as Item).Color });
            return style;
        }
    }
}